Bug 32319

Summary: Give header search submit button more padding
Product: Koha Reporter: Owen Leonard <oleonard>
Component: TemplatesAssignee: Owen Leonard <oleonard>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: lucas
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.02
Bug Depends on: 30952    
Bug Blocks:    
Attachments: Before and after versions of the search bar
Bug 32319: Give header search submit button more padding
Bug 32319: Give header search submit button more padding
Bug 32319: Give header search submit button more padding

Description Owen Leonard 2022-11-22 11:50:02 UTC
Created attachment 144149 [details]
Before and after versions of the search bar

I think the header search button is a little too small a target for those who like to click.
Comment 1 Owen Leonard 2022-11-22 12:02:11 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2022-11-22 17:21:34 UTC
Created attachment 144169 [details] [review]
Bug 32319: Give header search submit button more padding

This patch tweaks the appearance of the header search submit button so
that it has a little more spacing, making it an easier click target.

The patch also gives the button a slightly different hover state in
order to make it clearer that it's a button.

To test, apply the patch and rebuild the staff interface CSS.

View various pages in the staff interface to confirm that the header
search bar looks good and works correctly at various screen sizes.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Kyle M Hall 2022-12-16 18:44:24 UTC
Created attachment 144700 [details] [review]
Bug 32319: Give header search submit button more padding

This patch tweaks the appearance of the header search submit button so
that it has a little more spacing, making it an easier click target.

The patch also gives the button a slightly different hover state in
order to make it clearer that it's a button.

To test, apply the patch and rebuild the staff interface CSS.

View various pages in the staff interface to confirm that the header
search bar looks good and works correctly at various screen sizes.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2022-12-27 14:09:33 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 5 Jacob O'Mara 2023-01-13 11:55:36 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.